[Launch]
ProgramExecutable=Ashampoo Photo Optimizer 8\Photooptimizer.exe
DirectoryMoveOK=yes

[Activate]    
Registry=true

[RegistryKeys]
Ashampoo Ashampoo=HKCU\Software\Ashampoo\Ashampoo
Ashampoo Photo Optimizer 8=HKCU\Software\Ashampoo\Ashampoo Photo Optimizer 8
Ashampoo Photo Optimizer=HKCU\Software\Ashampoo\Ashampoo Photo Optimizer
jpegfile=HKCU\Software\Classes\jpegfile
Paint.Picture=HKCU\Software\Classes\Paint.Picture
pngfile=HKCU\Software\Classes\pngfile
TIFImage.Document=HKCU\Software\Classes\TIFImage.Document

[RegistryValueWrite]
HKCU\Software\Ashampoo\Ashampoo Photo Optimizer 8\exampleFolder=REG_SZ:%PAL:AppDir%\Pictures/Ashampoo/
HKCU\Software\Ashampoo\Ashampoo Photo Optimizer\HistoryDataBasePath=REG_SZ:%PAL:DataDir%\photoOptimizeHistoryDataBase\
HKCU\Software\Classes\jpegfile\shell\Открыть с помощью Ashampoo Photo Optimizer 8\
HKCU\Software\Classes\jpegfile\shell\Открыть с помощью Ashampoo Photo Optimizer 8\command\=REG_SZ:"%PAL:AppDir%\Ashampoo Photo Optimizer 8\Photooptimizer.exe" "%1"
HKCU\Software\Classes\Paint.Picture\shell\Открыть с помощью Ashampoo Photo Optimizer 8\
HKCU\Software\Classes\Paint.Picture\shell\Открыть с помощью Ashampoo Photo Optimizer 8\command\=REG_SZ:"%PAL:AppDir%\Ashampoo Photo Optimizer 8\Photooptimizer.exe" "%1"
HKCU\Software\Classes\pngfile\shell\Открыть с помощью Ashampoo Photo Optimizer 8
HKCU\Software\Classes\pngfile\shell\Открыть с помощью Ashampoo Photo Optimizer 8\command\=REG_SZ:"%PAL:AppDir%\Ashampoo Photo Optimizer 8\Photooptimizer.exe" "%1"
HKCU\Software\Classes\TIFImage.Document\shell\Открыть с помощью Ashampoo Photo Optimizer 8\
HKCU\Software\Classes\TIFImage.Document\shell\Открыть с помощью Ashampoo Photo Optimizer 8\command\=REG_SZ:"%PAL:AppDir%\Ashampoo Photo Optimizer 8\Photooptimizer.exe" "%1"

[RegistryCleanupForce]
1=HKCU\Software\Ashampoo\Ashampoo
2=HKCU\Software\Ashampoo\Ashampoo Photo Optimizer 8
3=HKCU\Software\Ashampoo\Ashampoo Photo Optimizer
4=HKCU\Software\Classes\jpegfile
5=HKCU\Software\Classes\Paint.Picture
6=HKCU\Software\Classes\pngfile
7=HKCU\Software\Classes\TIFImage.Document

[RegistryCleanupIfEmpty]
1=HKCU\Software\Ashampoo

[DirectoriesMove]
Local\Ashampoo\boxshots=%LOCALAPPDATA%\Ashampoo\boxshots

[DirectoriesCleanupForce]
1=%LOCALAPPDATA%\photoOptimizeHistoryDataBase

[DirectoriesCleanupIfEmpty]

[FileWrite1]
Type=Replace
File=%PAL:DataDir%\settings\APO8portableSettings.ini
Find=%PAL:LastDrive%%PAL:LastPackagePartialDir:DoubleBackslash%\\
Replace=%PAL:Drive%%PAL:PackagePartialDir:DoubleBackslash%\\

[FileWrite2]
Type=Replace
File=%PAL:DataDir%\settings\APO8portableSettings.ini
Find=%PAL:LastPortableAppsBaseDir:DoubleBackslash%\\
Replace=%PAL:PortableAppsBaseDir:DoubleBackslash%\\

[FileWrite3]
Type=Replace
File=%PAL:DataDir%\settings\APO8portableSettings.ini
Find=%PAL:LastDrive%\\
Replace=%PAL:Drive%\\